org.bdgenomics.cannoli.cli

# VepArgs

###
Related Doc: package cli

#### class VepArgs extends cannoli.VepArgs with ADAMSaveAnyArgs with ParquetArgs

Vep command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.VepArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VepArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. VepArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new VepArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### var addFiles: Boolean

   Definition Classes
     VepArgs

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### var asSingleFile: Boolean

   Definition Classes
     VepArgs → ADAMSaveAnyArgs

7. #### var assembly: String

   Definition Classes
     VepArgs

8. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### var cachePath: String

   Definition Classes
     VepArgs

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var deferMerging: Boolean

    Definition Classes
      VepArgs → ADAMSaveAnyArgs

13. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

14. #### var disableFastConcat: Boolean

    Definition Classes
      VepArgs → ADAMSaveAnyArgs

15. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### var executable: String

    Definition Classes
      VepArgs

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### var image: String

    Definition Classes
      VepArgs

23. #### var inputPath: String

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### var logLevel: String

    Definition Classes
      ParquetArgs

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### var outputPath: String

    Definition Classes
      VepArgs → SaveArgs

30. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

31. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

32. #### var sortFastqOutput: Boolean

    Definition Classes
      VepArgs → ADAMSaveAnyArgs

33. #### var species: String

    Definition Classes
      VepArgs

34. #### var stringency: String

35. #### var sudo: Boolean

    Definition Classes
      VepArgs

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### var useDocker: Boolean

    Definition Classes
      VepArgs

39. #### var useSingularity: Boolean

    Definition Classes
      VepArgs

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.VepArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped